Description

Associated revisions

Revision d10f61d2 - 11/28/2013 05:04 PM - Joseph Magen

fixes #3020 - API v2 - option to specify version in URL as well as in header

History

#1 - 11/12/2013 01:26 PM - Dominic Cleal

- Target version set to 1.10.0

#2 - 11/12/2013 01:39 PM - Joseph Magen

- Subject changed from API v2 - option to specify version in URL rather than header to API v2 - option to specify version in URL as well as header

If specified in both, then current in URL 'wins' over header.

Order of priority

1. URL - /v1/ or /v2/

2. header - version=2

3. default - if neither URL or header is specified.

ex.  api/v2/hosts

#3 - 11/12/2013 01:54 PM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1015

#4 - 11/28/2013 06:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d10f61d2d02cefaaa28a9549c02b3c29a39cb83c.
